RepairCallback (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.service
Class RepairCallback

    java.lang.Object
      org.apache.cassandra.service.RepairCallback

All Implemented Interfaces:
  IAsyncCallback, IMessageCallback

    public class RepairCallback

extends java.lang.Object
implements IAsyncCallback

Field Summary
`protected java.util.concurrent.atomic.AtomicInteger` | `received`
`RowRepairResolver` | `resolver`

Constructor Summary
`RepairCallback(RowRepairResolver resolver, java.util.List<java.net.InetAddress> endpoints)` The main difference between this and ReadCallback is, ReadCallback has a ConsistencyLevel it needs to achieve.

Method Summary
`Row` | `get()`
`int` | `getMaxLiveColumns()`
`boolean` | `isLatencyForSnitch()`
`void` | `response(Message message)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### resolver

    public final RowRepairResolver resolver

### received

    protected final java.util.concurrent.atomic.AtomicInteger received

Constructor Detail

### RepairCallback

    public RepairCallback(RowRepairResolver resolver,
                          java.util.List<java.net.InetAddress> endpoints)

  The main difference between this and ReadCallback is, ReadCallback has a ConsistencyLevel it needs to achieve. Repair on the other hand is happy to repair whoever replies within the timeout. (The other main difference of course is, this is only created once we know we have a digest mismatch, and we're going to do full-data reads from everyone -- that is, this is the final stage in the read process.)

Method Detail

### get

    public Row get()
            throws java.util.concurrent.TimeoutException,
                   DigestMismatchException,
                   java.io.IOException

  Throws:
    `java.util.concurrent.TimeoutException`
    `DigestMismatchException`
    `java.io.IOException`

### response

    public void response(Message message)

  Specified by:
    `response` in interface `IAsyncCallback`
  Parameters:
    `message` - response received.

### isLatencyForSnitch

    public boolean isLatencyForSnitch()

  Specified by:
    `isLatencyForSnitch` in interface `IMessageCallback`
  Returns:
    true if this callback is on the read path and its latency should be given as input to the dynamic snitch.

### getMaxLiveColumns

    public int getMaxLiveColumns()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation